function listaspesa() {
	$.ajax({ 
		url: "php/acquisti.php", 
		method: "POST",
		dataType: "JSON",
		success: function(result) {
			var html=' <option selected="true" disabled="disabled">SELEZIONA UNA DATA</option>'
			for (i in result) {
				html += '<option style="cursor: pointer"  class="option" cod="'+result[i]["scontrino"]+'">'+result[i]["data"]+':   '+'&#8364; '+result[i]["spesa"]+'</option>';
			}
			$("#lista_data").html(html);
			var scontrino = $('#lista_data option:eq(1)').attr("cod");
			recupero_spesa(scontrino);

		}
	});
}
function recupero_spesa(scontrino) {
	$.ajax({ 
		url: "php/dettaglio_spesa.php", 
		method: "POST",
		dataType: "JSON",
		data: {scontrino: scontrino},
		success: function(result) {
			var html = "";
			var data = [];
			for (i in result) {
				var color = "";
				var settore = result[i]["settore"]; 
				switch(settore) {
    			case "CHIMICA":
       				color = "#fab8f5";
        			break;
    			case "FRESCHI":
        			color = "#add8e6";
        			break;
				case "FRESCHISSIMI":
        			color = "#afeeee";
        			break;
				case "CASA":
        			color = "#ffff28";
        			break;
				case "CONFEZIONATO PER VENDITA":
        			color = "#ffcc33";
        			break;
				case "STAGIONALI E BRICO":
        			color = "#64f84a";
        			break;
				case "NON DEFINITO":
        			color = "#ccd973";
        			break;
				case "PERSONA":
        			color = "#ccffcc";
        			break;
				case "EROGAZIONI CARBURANTI":
        			color = "#adad99";
        			break;
				case "SALUTE":
        			color = "#ffc0cb";
        			break;
				case "INIZIATIVE SPECIALI":
        			color = "#a591df";
        			break;
				case "GROCERY ALIMENTARI":
        			color = "#cd5c5c";
        			break;
				case "MULTIMEDIA":
        			color = "d3d3d3";
        			break;
				
				}
				html += '<tr><td id="colori_lista" style="background-color:'+color+';"></td><td id="scontrino_articolo">'+result[i]["articolo"]+'(x'+result[i]["quantita"]+')</td>'+'<td id="prezzo">'+result[i]["prezzo"]+'</td></tr>';
				var prezzoeuro = result[i]["prezzo"];
				prezzoeuro = prezzoeuro.replace(/,/g, '.');
				var prezzo = Number(prezzoeuro.replace(/[^0-9\.]+/g,""));
				if (!data[result[i]["settore"]]) {
					data[result[i]["settore"]] = prezzo;
				} else {
					data[result[i]["settore"]] += prezzo;
				}
			}
			//html += "</tr>";
			$("#scontrino").html(html);
			$("#grafico_torta").empty();
			grafico_torta(data)
		}
	});
}
function grafico_torta(data) {
	var dataset = [];
	var j = 0;
	var prezzo_totale = 0;
	for (i in data) {
		prezzo_totale += data[i];
	}
	for (i in data){
		var valore = data[i];
		valore= Math.round(valore* 100) / 100
		var color ="";
		switch(i) {
    			case "CHIMICA":
       				color = "#fab8f5";
        			break;
    			case "FRESCHI":
        			color = "#add8e6";
        			break;
				case "FRESCHISSIMI":
        			color = "#afeeee";
        			break;
				case "CASA":
        			color = "#ffff28";
        			break;
				case "CONFEZIONATO PER VENDITA":
        			color = "#ffcc33";
        			break;
				case "STAGIONALI E BRICO":
        			color = "#64f84a";
        			break;
				case "NON DEFINITO":
        			color = "#ccd973";
        			break;
				case "PERSONA":
        			color = "#ccffcc";
        			break;
				case "EROGAZIONI CARBURANTI":
        			color = "#adad99";
        			break;
				case "SALUTE":
        			color = "#ffc0cb";
        			break;
				case "INIZIATIVE SPECIALI":
        			color = "#a591df";
        			break;
				case "GROCERY ALIMENTARI":
        			color = "#cd5c5c";
        			break;
				case "MULTIMEDIA":
        			color = "d3d3d3";
        			break;
				
		}
		
		dataset[j] = {"label": i, "value": valore, "color": color};
		j++;
	}

	var pie = new d3pie("grafico_torta", {
		"data": {
			"content": dataset
		},
		"size": {
			"canvasHeight": 450,
			"canvasWidth": 530,
			
		
	},
	"labels": {
		"outer": {
			"hideWhenLessThanPercentage": 2,
			"pieDistance": 9
		},
		"inner": {
			"hideWhenLessThanPercentage": 3
		},
		"mainLabel": {
			"fontSize": 9
		},
		"percentage": {
			"color": "#ffffff",
			"decimalPlaces": 0
		},
		"value": {
			"color": "#adadad",
			"fontSize": 11
		},
		"lines": {
			"enabled": true,
			"style": "straight"
		},
		"truncation": {
			"enabled": true
		}
	},
		
		"tooltips": {
			"enabled": true,
			"type": "placeholder",
			"string": "{label}: {value} \u20AC "
		}
	
	});
}

$(document).ready(function(){
	listaspesa();
	$(document.body).on('change', '#lista_data', function() {
		var scontrino = $('#lista_data option:selected').attr("cod");
		recupero_spesa(scontrino);
	});
});